Krb5AndCertsSslSocketConnector (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Class Krb5AndCertsSslSocketConnector

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.AbstractBuffers
              org.mortbay.jetty.AbstractConnector
                  org.mortbay.jetty.bio.SocketConnector
                      org.mortbay.jetty.security.SslSocketConnector
                          org.apache.hadoop.security.Krb5AndCertsSslSocketConnector

All Implemented Interfaces:
  org.mortbay.component.LifeCycle, org.mortbay.io.Buffers, org.mortbay.jetty.Connector

    public class Krb5AndCertsSslSocketConnector

extends org.mortbay.jetty.security.SslSocketConnector

Extend Jetty's `SslSocketConnector` to optionally also provide Kerberos5ized SSL sockets. The only change in behavior from superclass is that we no longer honor requests to turn off NeedAuthentication when running with Kerberos support.

Nested Class Summary
`static class` | `Krb5AndCertsSslSocketConnector.Krb5SslFilter` Filter that takes the Kerberos principal identified in the `Krb5AndCertsSslSocketConnector` and provides it the to the servlet at runtime, setting the principal and short name.
`static class` | `Krb5AndCertsSslSocketConnector.MODE`

Nested classes/interfaces inherited from class org.mortbay.jetty.security.SslSocketConnector
`org.mortbay.jetty.security.SslSocketConnector.SslConnection`

Nested classes/interfaces inherited from class org.mortbay.jetty.bio.SocketConnector
`org.mortbay.jetty.bio.SocketConnector.Connection`

Nested classes/interfaces inherited from class org.mortbay.jetty.AbstractBuffers
`org.mortbay.jetty.AbstractBuffers.ThreadBuffers`

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`org.mortbay.component.LifeCycle.Listener`

Field Summary
`static List<String>` | `KRB5_CIPHER_SUITES`

Fields inherited from class org.mortbay.jetty.security.SslSocketConnector
`DEFAULT_KEYSTORE, KEYPASSWORD_PROPERTY, PASSWORD_PROPERTY`

Fields inherited from class org.mortbay.jetty.bio.SocketConnector
`_connections, _serverSocket`

Fields inherited from class org.mortbay.jetty.AbstractConnector
`_lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Constructor Summary
`Krb5AndCertsSslSocketConnector()`
`Krb5AndCertsSslSocketConnector(Krb5AndCertsSslSocketConnector.MODE mode)`

Method Summary
`protected SSLServerSocketFactory` | `createFactory()`
`void` | `customize(org.mortbay.io.EndPoint endpoint, org.mortbay.jetty.Request request)`
`protected ServerSocket` | `newServerSocket(String host, int port, int backlog)`

Methods inherited from class org.mortbay.jetty.security.SslSocketConnector
`accept, configure, getExcludeCipherSuites, getHandshakeTimeout, getKeystore, getKeystoreType, getNeedClientAuth, getProtocol, getProvider, getSecureRandomAlgorithm, getSslKeyManagerFactoryAlgorithm, getSslTrustManagerFactoryAlgorithm, getTruststore, getTruststoreType, getWantClientAuth, isAllowRenegotiate, isConfidential, isIntegral, setAllowRenegotiate, setExcludeCipherSuites, setHandshakeTimeout, setKeyPassword, setKeystore, setKeystoreType, setNeedClientAuth, setPassword, setProtocol, setProvider, setSecureRandomAlgorithm, setSslKeyManagerFactoryAlgorithm, setSslTrustManagerFactoryAlgorithm, setTrustPassword, setTruststore, setTruststoreType, setWantClientAuth`

Methods inherited from class org.mortbay.jetty.bio.SocketConnector
`close, doStart, doStop, getConnection, getLocalPort, newBuffer, newHttpConnection, open`

Methods inherited from class org.mortbay.jetty.AbstractConnector
`checkForwardedHeaders, connectionClosed, connectionOpened, getAcceptorPriorityOffset, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationAve, getConnectionsDurationMax, getConnectionsDurationMin, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsOpenMin, getConnectionsRequestsAve, getConnectionsRequestsMax, getConnectionsRequestsMin, getForwardedForHeader, getForwardedHostHeader, getForwardedServerHeader, getHost, getHostHeader, getIntegralPort, getIntegralScheme, getLeftMostValue, getLowResourceMaxIdleTime, getMaxIdleTime, getName, getPort, getRequests, getResolveNames, getReuseAddress, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, isForwarded, join, newContinuation, persist, setAcceptorPriorityOffset, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setForwarded, setForwardedForHeader, setForwardedHostHeader, setForwardedServerHeader, setHost, setHostHeader, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setMaxIdleTime, setName, setPort, setResolveNames, setReuseAddress, setServer, setSoLingerTime, setStatsOn, setThreadPool, statsReset, stopAccept, toString`

Methods inherited from class org.mortbay.jetty.AbstractBuffers
`getBuffer, getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize, returnBuffer, setHeaderBufferSize, setRequestBufferSize, setResponseBufferSize`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.Connector
`getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize, setHeaderBufferSize, setRequestBufferSize, setResponseBufferSize`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from interface org.mortbay.io.Buffers
`getBuffer, returnBuffer`

Field Detail

### KRB5_CIPHER_SUITES

    public static final List<String> KRB5_CIPHER_SUITES

Constructor Detail

### Krb5AndCertsSslSocketConnector

    public Krb5AndCertsSslSocketConnector()

### Krb5AndCertsSslSocketConnector

    public Krb5AndCertsSslSocketConnector(Krb5AndCertsSslSocketConnector.MODE mode)

Method Detail

### createFactory

    protected SSLServerSocketFactory createFactory()
                                            throws Exception

  Overrides:
    `createFactory` in class `org.mortbay.jetty.security.SslSocketConnector`
  Throws:
    `Exception`

### newServerSocket

    protected ServerSocket newServerSocket(String host,
                                           int port,
                                           int backlog)
                                    throws IOException

  Overrides:
    `newServerSocket` in class `org.mortbay.jetty.security.SslSocketConnector`
  Throws:
    `IOException`

### customize

    public void customize(org.mortbay.io.EndPoint endpoint,
                          org.mortbay.jetty.Request request)
                   throws IOException

  Specified by:
    `customize` in interface `org.mortbay.jetty.Connector`
  Overrides:
    `customize` in class `org.mortbay.jetty.security.SslSocketConnector`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation